Bug 1508820 (CVE-2017-15098) - CVE-2017-15098 postgresql: Memory disclosure in JSON functions
Summary: CVE-2017-15098 postgresql: Memory disclosure in JSON functions
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-15098
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1508824
TreeView+ depends on / blocked
 
Reported: 2017-11-02 09:56 UTC by Adam Mariš
Modified: 2019-09-29 14:24 UTC (History)
21 users (show)

Fixed In Version: postgresql 9.3.20, postgresql 9.4.15, postgresql 9.5.10, postgresql 9.6.6, postgresql 10.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-13 10:38:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2511 None None None 2018-08-20 10:50:29 UTC
Red Hat Product Errata RHSA-2018:2566 None None None 2018-08-27 08:33:33 UTC

Description Adam Mariš 2017-11-02 09:56:47 UTC
Invalid json_populate_recordset() or jsonb_populate_recordset() calls crash
the server or disclose a few bytes of server memory. We have not ruled out
viability of attacks that arrange for presence of confidential information in
disclosed bytes, but they seem unlikely.

Vulnerable Versions: 9.3 - 10

Comment 1 Adam Mariš 2017-11-02 09:56:55 UTC
Acknowledgments:

Name: the PostgreSQL project
Upstream: David Rowley

Comment 6 Pedro Yóssis Silva Barbosa 2017-11-13 08:55:23 UTC
Statement:

This issue affects the versions of rh-postgresql94-postgresql, rh-postgresql95-postgresql, and rh-postgresql96-postgresql as shipped with Red Hat Software Collections 3. Red Hat Product Security has rated this issue as having Moderate security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 7 Pedro Yóssis Silva Barbosa 2017-11-13 10:08:31 UTC
External References:

https://www.postgresql.org/about/news/1801/

Comment 8 Pedro Yóssis Silva Barbosa 2017-11-22 19:51:05 UTC
Upstream commit:

https://git.postgresql.org/gitweb/?p=postgresql.git;a=commitdiff;h=37a795a60

Comment 9 errata-xmlrpc 2018-08-20 10:50:20 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS

Via RHSA-2018:2511 https://access.redhat.com/errata/RHSA-2018:2511

Comment 10 errata-xmlrpc 2018-08-27 08:33:25 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS

Via RHSA-2018:2566 https://access.redhat.com/errata/RHSA-2018:2566


Note You need to log in before you can comment on or make changes to this bug.